--- a/os_cmd/Linux/ossdetect/ossdetect.c	2019-03-28 01:04:32.519003395 +0000
+++ a/os_cmd/Linux/ossdetectossdetect.c	2019-03-28 01:09:06.475672554 +0000
@@ -20,6 +20,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <unistd.h>
+#include <sys/sysmacros.h>
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <sys/dir.h>
